Subject: bug#54943: closed (Re: bug#54943: 13.1.2; \iff messes up indentation in math mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 16 Apr 2022 15:47:01 +0000

Your bug report

#54943: 13.1.2; \iff messes up indentation in math mode

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54943: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54943
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54943: 13.1.2; \iff messes up indentation in math mode
From: Arash Esbati <[email-masked]>
To: Ruiyang Wu <[email-masked]>
Cc: [email-masked]
Date: Sat, 16 Apr 2022 17:45:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ruiyang,

Ruiyang Wu <[email-masked]> writes:

> As the title suggests, \iff used in math mode will increase indentation
> level while it is not supposed to behave like this. I have briefly
> skimmed through the code and it seems to be related to the new function
> LaTeX-indent-commands-regexp-make introduced in 0ce906c. The relevant
> code is:
>
> (funcall func
>               LaTeX-indent-begin-list
>               "if[a-zA-Z@]*\\b"
>               'LaTeX-indent-begin-regexp-local)

Thanks for reporting this.  Indeed, an entry if 'iff' was missing in the
function you mentioned above.  I've fixed this issue now (fa547aa71e)
which will be available with the next release.  Please don't hesitate to
report if other macros are still missing.

I'm closing this report.

Best, Arash

Subject: 13.1.2; \iff messes up indentation in math mode
From: Ruiyang Wu <[email-masked]>
To: [email-masked]
Date: Thu, 14 Apr 2022 11:00:56 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi there,

As the title suggests, \iff used in math mode will increase indentation
level while it is not supposed to behave like this. I have briefly
skimmed through the code and it seems to be related to the new function
LaTeX-indent-commands-regexp-make introduced in 0ce906c. The relevant
code is:

(funcall func
              LaTeX-indent-begin-list
              "if[a-zA-Z@]*\\b"
              'LaTeX-indent-begin-regexp-local)

Best,
Ruiyang

Emacs  : GNU Emacs 28.1 (build 1, aarch64-apple-darwin21.4.0, Carbon Version 165 AppKit 2113.4)
 of 2022-04-09
Package: 13.1.2

current state:
==============
(setq
 AUCTeX-date "2022-04-08"
 window-system 'mac
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex" "/Users/ruiyangwu/.emacs.d/elpa/auctex-13.1.2/style"
		  "/Users/ruiyangwu/.emacs.d/auctex/auto" "/Users/ruiyangwu/.emacs.d/auctex/style"
		  "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX"
		     "%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(mode)%' %(output-dir) %t"
		     TeX-run-TeX nil (plain-tex-mode ams-tex-mode texinfo-mode) :help
		     "Run plain TeX")
		    ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil (latex-mode doctex-mode) :help
		     "Run LaTeX")
		    ("Makeinfo" "makeinfo %(extraopts) %(o-dir) %t" TeX-run-compile nil
		     (texinfo-mode) :help "Run Makeinfo with Info output")
		    ("Makeinfo HTML" "makeinfo %(extraopts) %(o-dir) --html %t" TeX-run-compile nil
		     (texinfo-mode) :help "Run Makeinfo with HTML output")
		    ("AmSTeX" "amstex %(PDFout) %`%(extraopts) %S%(mode)%' %(output-dir) %t"
		     TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
		    ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX
		     nil (context-mode) :help "Run ConTeXt once")
		    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX nil
		     (context-mode) :help "Run ConTeXt until completion")
		    ("BibTeX" "bibtex %(O?aux)" TeX-run-BibTeX nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode context-mode)
		     :help "Run BibTeX")
		    ("Biber" "biber %(output-dir) %s" TeX-run-Biber nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
		     "Run Biber")
		    ("Texindex" "texindex %s.??" TeX-run-command nil (texinfo-mode) :help
		     "Run Texindex")
		    ("Texi2dvi" "%(PDF)texi2dvi %t" TeX-run-command nil (texinfo-mode) :help
		     "Run Texi2dvi or Texi2pdf")
		    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
		    ("Print" "%p" TeX-run-command t t :help "Print the file")
		    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible
		     TeX-queue-command)
		    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
		     "Generate PostScript file")
		    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
		     "Convert DVI file to PostScript")
		    ("Dvipdfmx" "dvipdfmx -o %(O?pdf) %d" TeX-run-dvipdfmx nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
		     "Convert DVI file to PDF with dvipdfmx")
		    ("Ps2pdf" "ps2pdf %f %(O?pdf)" TeX-run-ps2pdf nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
		     "Convert PostScript file to PDF")
		    ("Glossaries" "makeglossaries %(d-dir) %s" TeX-run-command nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
		     "Run makeglossaries to create glossary file")
		    ("Index" "makeindex %(O?idx)" TeX-run-index nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
		     "Run makeindex to create index file")
		    ("upMendex" "upmendex %(O?idx)" TeX-run-index t
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
		     "Run upmendex to create index file")
		    ("Xindy" "texindy %s" TeX-run-command nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
		     "Run xindy to create index file")
		    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help
		     "Check LaTeX file for correctness")
		    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help
		     "Check LaTeX file for common mistakes")
		    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help
		     "Spell-check the document")
		    ("Clean" "TeX-clean" TeX-run-function nil t :help
		     "Delete generated intermediate files")
		    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
		     "Delete generated intermediate and output files")
		    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )